Oore CI
ReferenceAPIOperationsRetention Policy

Delete project retention override (revert to global)

Delete project retention override (revert to global)

Operation IDdelete_project_retention
DELETE
/v1/projects/{project_id}/retention

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

project_id*string

Project ID

Response Body

application/json

curl -X DELETE "https://example.com/v1/projects/string/retention"
{  "effective": {    "artifact_ttl_days": 0,    "cleanup_interval_secs": 0,    "cleanup_target": "artifacts_only",    "dry_run": true,    "enabled": true,    "keep_statuses": [      "string"    ],    "max_age_days": 0,    "max_artifact_size_bytes": 0,    "max_builds_per_project": 0,    "updated_at": 0  },  "has_override": true,  "override_fields": null}